# role (Identity v2)

## role add

Add role to project:user

    openstack role add --project <project> --user <user> <role>

--project <project>

  Include <project> (name or ID)

--user <user>

  Include <user> (name or ID)

role

  Role to add to <project>:<user> (name or ID)

## role assignment list

List role assignments

    openstack role assignment list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--user <user>]
        [--project <project>]
        [--names]
        [--auth-user]
        [--auth-project]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--user <user>

  User to filter (name or ID)

--project <project>

  Project to filter (name or ID)

--names

  Display names instead of IDs

--auth-user

  Only list assignments for the authenticated user

--auth-project

  Only list assignments for the project to which the authenticated user’s token is scoped

## role create

Create new role

    openstack role create [--or-show] <name>

--or-show

  Return existing role

name

  New role name

## role delete

Delete role(s)

    openstack role delete <role> [<role> ...]

role

  Role(s) to delete (name or ID)

## role list

List roles

    openstack role list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## role remove

Remove role from project : user

    openstack role remove --project <project> --user <user> <role>

--project <project>

  Include <project> (name or ID)

--user <user>

  Include <user> (name or ID)

role

  Role to remove (name or ID)

## role show

Display role details

    openstack role show <role>

role

  Role to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.